/*

  Voltage Sensor Module

  Parts required:
  - Arduino Board
  - Voltage Sensor Module

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 7 Feb 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

float voltageValue;                                                         // set variable voltageValue
float voltageValueTot;                                                      // set variable voltageValueTot
float voltageOffset = 0.080;                                                // set variable voltageOffset to 0.080

void setup() {
  Serial.begin(9600);                                                       // start Serial Monitor communication
}

void loop() {
  voltageValue = analogRead(A0);                                            // read value from analog pin A0 and store in voltageValue

  voltageValueTot = (voltageValue / 1024 * 25 + voltageOffset);             // calculate voltageValueTot

  Serial.print("Voltage : ");                                               // print text to Serial Monitor
  Serial.print(voltageValueTot);                                            // print voltageValueTot to Serial Monitor
  Serial.println("V");                                                      // print text to Serial Monitor
  delay(100);                                                               // wait 100ms
}
